Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 811906 - dev-libs/botan: ElGamal plaintext recovery (CVE-2021-40529)
Summary: dev-libs/botan: ElGamal plaintext recovery (CVE-2021-40529)
Status: CONFIRMED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B4 [upstream/ebuild]
Keywords:
Depends on:
Blocks: CVE-2021-40529
  Show dependency tree
 
Reported: 2021-09-07 01:31 UTC by John Helmert III
Modified: 2021-09-07 01:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2021-09-07 01:31:09 UTC
CVE-2021-40529 (https://ibm.github.io/system-security-research-updates/2021/07/20/insecurity-elgamal-pt1, https://ibm.github.io/system-security-research-updates/2021/09/06/insecurity-elgamal-pt2):

The ElGamal implementation in Botan through 2.18.1, as used in Thunderbird and other products, allows plaintext recovery because, during interaction between two cryptographic libraries, a certain dangerous combination of the prime defined by the receiver's public key, the generator defined by the receiver's public key, and the sender's ephemeral exponents can lead to a cross-configuration attack against OpenPGP.

Unreleased patch: https://github.com/randombit/botan/pull/2790